corda / net.corda.core.schemas.requery / Requery / PersistentState

# PersistentState

`@Superclass interface PersistentState : Persistable`

A super class for all mapped states exported to a schema that ensures the StateRef appears on the database row. The StateRef will be set to the correct value by the framework (there's no need to set during mapping generation by the state itself).

### Properties

index | `abstract var index: Int`
txId | `abstract var txId: String`